<dialog aria-labelledby="fr-modal-schedulePublicationModal-title" id="schedulePublicationModal" class="fr-modal"
    role="dialog">
    <div class="fr-container fr-container--fluid fr-container-md">
        <div class="fr-grid-row fr-grid-row--center">
            <div class="fr-col-12 fr-col-md-8 fr-col-lg-6">
                <div class="fr-modal__body">
                    <div class="fr-modal__header">
                        <button class="fr-btn--close fr-btn" aria-controls="schedulePublicationModal">
                            Fermer
                        </button>
                    </div>
                    <form method="post" action="{{ domain }}/action/schedule/publication" class="needs-validation" novalidate>
                        <input type="hidden" name="current-url" value="{{ currentUrl }}" />
                        <input type="hidden" name="{{ csrf.keys.name }}" value="{{ csrf.name }}" />
                        <input type="hidden" name="{{ csrf.keys.value }}" value="{{ csrf.value }}" />
                        <input type="hidden" name="communication-id" value="" />
                        <div class="fr-modal__content">
                            <h1 id="fr-modal-schedulePublicationModal-title" class="fr-modal__title">
                                Programmer votre envoi
                            </h1>

                            <p>Vous vous appr&ecirc;ter &agrave; envoyer <strong>{{ content.title }}</strong></p>

                            {% if content.deadline %}
                                {% set date = content.deadline|date('Y-m-d') %}
                                {% set time = content.deadline|date('H:i') %}
                            {% endif %}
                            <div class="fr-input-group">
                                <div class="fr-grid-row fr-grid-row--gutters">
                                    <div class="fr-col">
                                        <label for="sending-date" class="fr-label">Date d'envoi</label>
                                        <input class="fr-input" type="date" name="sending-date" id="sending-date" value="{{ date }}" required />
                                        <p id="sending-date-input-error" class="fr-error-text">Veuillez s&eacute;lectionner une date d'envoi.</p>
                                    </div>
                                    <div class="fr-col fr-col-offset-6--right">
                                        <label for="sending-time" class="fr-label">Heure d'envoi</label>
                                        <input class="fr-input" type="time" name="sending-time" id="sending-time" value="{{ time }}" required />
                                        <p id="sending-time-input-error" class="fr-error-text">Veuillez s&eacute;lectionner une heure d'envoi.</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="fr-modal__footer">
                            <ul
                                class="fr-btns-group fr-btns-group--md fr-btns-group--inline-lg fr-btns-group--icon-left">
                                <li>
                                    <button class="fr-btn fr-icon-timer-fill" type="submit">
                                        Programmer
                                    </button>
                                </li>
                                <li>
                                    <button class="fr-btn fr-icon-close-circle-line fr-btn--secondary"
                                        aria-controls="schedulePublicationModal">
                                        Annuler
                                    </button>
                                </li>
                                <li>
                                    <button class="fr-btn fr-icon-close-circle-line fr-btn--secondary" id="cancel-scheduling">
                                        Annuler la programmation
                                    </button>
                                </li>
                            </ul>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</dialog>
